Installing RIDE on Rasbian 64 OS

prepare wxpython installation:

sudo apt update
sudo apt -y build-essential
sudo apt-get install libgtk-3-dev

Install wxpython for build on Pi:

sudo pip3 install -U wxpython

Remark this process can take hours for buiding installer!

Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
Collecting wxpython
  Using cached https://files.pythonhosted.org/packages/b0/4d/80d65c37ee60a479d338d27a2895fb15bbba27a3e6bb5b6d72bb28246e99/wxPython-4.1.1.tar.gz
Requirement already satisfied, skipping upgrade: pillow in /usr/lib/python3/dist-packages (from wxpython) (5.4.1)
Requirement already satisfied, skipping upgrade: six in /usr/lib/python3/dist-packages (from wxpython) (1.12.0)
Requirement already satisfied, skipping upgrade: numpy in /usr/lib/python3/dist-packages (from wxpython) (1.16.2)
Building wheels for collected packages: wxpython
  Running setup.py bdist_wheel for wxpython ... done
  Stored in directory: /home/andie/.cache/pip/wheels/54/32/da/dc5c828a12bc9a1ca58d5555f1076fd7d2984ae9c0e03eb510
Successfully built wxpython
Installing collected packages: wxpython
  The scripts helpviewer, img2png, img2py, img2xpm, pycrust, pyshell, pyslices, pyslicesshell, pywxrc, wxdemo, wxdocs and wxget are installed in '/home/andie/.local/bin' which is not on PATH.
  Consider adding this directory to PATH or, if you prefer to suppress this warning, use --no-warn-script-location.
Successfully installed wxpython-4.1.1

Install RIDE:

sudo pip3 install robotframework-ride

now you can start it via terminal:

nohup ride.py &

Leave a Reply